/// <reference types="node" />
import * as SES from '@aws-sdk/client-ses';
import { ILogger } from 'typescript-ilogger';
import { BaseClass } from 'typescript-helper-functions';
import { ISESHelper } from './interface';
import { Email } from './email';
export declare class SESHelper extends BaseClass implements ISESHelper {
    private Repository;
    constructor(logger: ILogger, repository?: SES.SES, options?: SES.SESClientConfig);
    SendEmailAsync(subject: string, toAddresses: string[], fromAddress: string, body: string | Buffer): Promise<SES.SendEmailResponse>;
    SendEmailWithAttachmentsAsync(emailObject: Email): Promise<SES.SendRawEmailResponse>;
}
